Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class Open

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.Process
              org.basex.core.proc.Open

    public final class Open

extends Process

Evaluates the 'open' command and opens a database.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.Process
`args`

Constructor Summary
`Open(java.lang.String name)` Default constructor.

Method Summary
`static Data` | `check(Context ctx, java.lang.String path)` Opens the specified database; if it does not exist, create a new database instance.
`static Data` | `open(Context ctx, java.lang.String db)` Opens the specified database.

Methods inherited from class org.basex.core.Process
`args, data, error, execute, execute, info, info, info, output, printing, result, toString, updating`

Methods inherited from class org.basex.core.Progress
`checkStop, det, detail, prog, progress, progress, stop, tit, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Open

    public Open(java.lang.String name)

  Default constructor.

  Parameters:
    `name` - name of database

Method Detail

### open

    public static Data open(Context ctx,
                            java.lang.String db)
                     throws java.io.IOException

  Opens the specified database.

  Parameters:
    `ctx` - database context
    `db` - name of database
  Returns:
    data reference
  Throws:
    `java.io.IOException` - I/O exception

### check

    public static Data check(Context ctx,
                             java.lang.String path)
                      throws java.io.IOException

  Opens the specified database; if it does not exist, create a new database instance.

  Parameters:
    `ctx` - database context
    `path` - document path
  Returns:
    data reference
  Throws:
    `java.io.IOException` - I/O exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD